Bug 312544 - Cannot change resolution
Summary: Cannot change resolution
Status: RESOLVED FIXED
Alias: None
Product: KScreen
Classification: Unclassified
Component: kcm (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Daniel Vrátil
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-03 15:44 UTC by Kai Uwe Broulik
Modified: 2013-01-07 16:38 UTC (History)
1 user (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Little video that shows that (399.23 KB, video/ogg)
2013-01-03 15:48 UTC, Kai Uwe Broulik
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kai Uwe Broulik 2013-01-03 15:44:25 UTC
When I click the "exit fullscreen" icon, a popup list of resolutions and refresh rates appears. I cannot select anything in that dialog, however. Tested with various configurations, both on KDE master as well as KDE 4.10.

Reproducible: Always

Steps to Reproduce:
1. Open KScreen kcm
2. Click icon for resolution thing
3. Try to interact with the dialog
Actual Results:  
You cannot interact

Expected Results:  
You can :)
Comment 1 Kai Uwe Broulik 2013-01-03 15:48:36 UTC
Created attachment 76161 [details]
Little video that shows that

(The mouse click effect is awesome :P)
Comment 2 Daniel Vrátil 2013-01-07 12:35:41 UTC
Git commit e40ddbd508bcb6248937ed812b70e188175d4f8e by Dan Vrátil.
Committed on 07/01/2013 at 13:34.
Pushed by dvratil into branch 'master'.

Use PlasmaComponents.Dialog for ModeSelectionWidget

PlasmaCore.Dialog was eating mouse clicks for some reason, but
wrapping the ModeSelectionWidget to PlasmaComponents.Dialog works.
And it looks better.

M  +0    -1    kcm/qml/CMakeLists.txt
D  +0    -61   kcm/qml/ModeSelectionDialog.qml
M  +13   -4    kcm/qml/OutputControls.qml
M  +44   -12   kcm/src/modeselectionwidget.cpp
M  +10   -3    kcm/src/modeselectionwidget.h

http://commits.kde.org/kscreen/e40ddbd508bcb6248937ed812b70e188175d4f8e
Comment 3 Daniel Vrátil 2013-01-07 16:38:18 UTC
Git commit f2299f159a03e00b7473b559b223e0461715fcfa by Dan Vrátil.
Committed on 07/01/2013 at 17:36.
Pushed by dvratil into branch 'master'.

Ship our own PlasmaComponents.Dialog

We switched from PlasmaCore.Dialog to PlasmaComponents.Dialog to
fix bug #312544. Unfortunatelly the component works correctly only
in KDE 4.10, it does not fix the bug in KDE 4.9 and it misbehaves.

To support KDE 4.9 (and older) and to make the code still working,
we ship our own copy of the Dialog.qml and it's dependencies from
kde-runtime/plasma/declarativeimports.

M  +12   -1    kcm/qml/CMakeLists.txt
M  +10   -1    kcm/qml/OutputControls.qml
A  +317  -0    kcm/qml/plasmacomponents/Dialog.qml     [License: BSD]
A  +85   -0    kcm/qml/plasmacomponents/private/AppManager.js
A  +178  -0    kcm/qml/plasmacomponents/private/InlineDialog.qml     [License: LGPL (v2+)]

http://commits.kde.org/kscreen/f2299f159a03e00b7473b559b223e0461715fcfa